<?php
$curl = curl_init();
curl_setopt_array($curl, array(
    CURLOPT_URL => 'https://integration-api.snap.pe/rest/v1/merchants/KayaShreeAyurveda/applications/919953000952/send-message',
    CURLOPT_RETURNTRANSFER => true,
    CURLOPT_ENCODING => '',
    CURLOPT_MAXREDIRS => 10,
    CURLOPT_TIMEOUT => 0,
    CURLOPT_FOLLOWLOCATION => true,
    CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
    CURLOPT_CUSTOMREQUEST => 'POST',
    CURLOPT_POSTFIELDS => '{
        "template": "test_template_image",
        "template_type": "image",
        "mobile_number": "918750908036",
        "url": "https://snappe-images.s3.ap-south-1.amazonaws.com/KayaShreeAyurveda/documents/Screenshot_2024_12_04_at_12_12_21_AM.png"
    }',
    CURLOPT_HTTPHEADER => array(
        'Content-Type: application/json',
        'Authorization: Basic NTI5NjI3ODoxNDRkNjk0MC1lMDY1LTQzYWQtYmQwNi1jZDM2ZGI4NzdiZDU='
    ),
));
$response = curl_exec($curl);
if($response === false) {
    echo 'Curl error: ' . curl_error($curl);
} 
curl_close($curl);
echo $response;